public class Fibbonaci {
    public static int fibbo(int n, int r) {
        switch (n) {
            case 0:
                return 0;
            case 1:
                return 1;
            default:
                return fibbo(n-2, r) + fibbo(n-1, r);
        }
    }

    public static void main(String[] args) {
        System.out.println(fibbo(Integer.parseInt(args[0]), 0));
    }
}
